## EAlertSink

EAlertSink — an interface to handle alerts

## Functions

void | e_alert_sink_submit_alert ()

## Types and Values

| EAlertSink
struct | EAlertSinkInterface

## Object Hierarchy

        GInterface
        ╰── EAlertSink

## Prerequisites

EAlertSink requires GtkWidget.

## Known Implementations

EAlertSink is implemented by EHTMLEditor, EPreviewPane, ESourceConfigDialog and EWebView.

## Includes

    #include <e-util/e-util.h>

## Description

A widget that implements EAlertSink means it can handle EAlerts, usually by displaying them to the user.

## Functions

### e_alert_sink_submit_alert ()

    void
    e_alert_sink_submit_alert (EAlertSink *alert_sink,
                               EAlert *alert);

This function is a place to pass EAlert objects. Beyond that it has no well-defined behavior. It's up to the widget implementing the EAlertSink interface to decide what to do with them.

#### Parameters

alert_sink | an EAlertSink |
alert | an EAlert |

## Types and Values

### EAlertSink

    typedef struct _EAlertSink EAlertSink;

### struct EAlertSinkInterface

    struct EAlertSinkInterface {
    	GTypeInterface parent_interface;

    	void		(*submit_alert)		(EAlertSink *alert_sink,
    						 EAlert *alert);
    };